<?php

function saldo_revenda() {
    $arg = func_get_args();

    require("config.php");
    $conn = @mysql_connect($dbhost, $dbuser, $dbpass) or die("ERROR! Não Conectado ao Banco de Dados..");
    mysql_select_db($dbname, $conn);
    //Pegando a quantidade definida pra revenda
    $SQL = "SELECT quantidade FROM cmum_limite_logins_profiles WHERE id_revenda='{$arg[0]}' AND id_profiles='{$arg[1]}'";
    $rs = mysql_query($SQL);
    $limite_rev = false;
    while ($row = mysql_fetch_assoc($rs)) {
        $limite_rev = $row['quantidade'];
    }
    //pega os logins cadastrados
    $SQL = "SELECT COUNT(*) AS total_cad FROM cmum_logins_com_perfis_limpos WHERE id_revenda='{$arg[0]}' AND perfil_lp='{$arg[1]}'";
    $rs = mysql_query($SQL);
    //var_dump(mysql_error());
    $total_cad = false;
    while ($row = mysql_fetch_assoc($rs)) {
        $total_cad = $row['total_cad'];
    }
    //pega as subrevendas
    $SQL = "SELECT id FROM cmum_admins WHERE addedby='{$arg[0]}' AND enabled='true'";
    $rs = mysql_query($SQL);
    $revs = '';
    while ($row = mysql_fetch_assoc($rs)) {
        $revs .= $row["id"] . ',';
    }
    $revs = substr($revs, 0, -1);
    //soma a quantidade de todas as subs
    $SQL = "SELECT SUM(quantidade) as total_sub FROM cmum_limite_logins_profiles WHERE id_revenda IN ({$revs}) AND id_profiles='{$arg[1]}'";
    $rs = mysql_query($SQL);
    $total_sub = false;
    while ($row = mysql_fetch_assoc($rs)) {
        $total_sub = $row['total_sub'];
    }
    return $limite_rev - ($total_cad + $total_sub);
}

function limite_revenda_perfil() {
    $arg = func_get_args();

    require("config.php");
    $conn = @mysql_connect($dbhost, $dbuser, $dbpass) or die("ERROR! Não Conectado ao Banco de Dados..");
    mysql_select_db($dbname, $conn);
    $SQL = "SELECT quantidade FROM cmum_limite_logins_profiles WHERE id_revenda='{$arg[0]}' AND id_profiles='{$arg[1]}'";
    $rs = mysql_query($SQL);
    $limite_rev = false;
    while ($row = mysql_fetch_assoc($rs)) {
        $limite_rev = $row['quantidade'];
    }
    return $limite_rev;
}

function total_ativo_perfil() {
    $arg = func_get_args();

    require("config.php");
    $conn = @mysql_connect($dbhost, $dbuser, $dbpass) or die("ERROR! Não Conectado ao Banco de Dados..");
    mysql_select_db($dbname, $conn);
    $SQL = "SELECT COUNT(*) AS total FROM cmum_logins_com_perfis_limpos WHERE id_revenda='{$arg[0]}' AND perfil_lp='{$arg[1]}'";
    $rs = mysql_query($SQL);
    $total = '';
    while ($row = mysql_fetch_assoc($rs)) {
        $total = $row['total'];
    }
    return $total;
}

function cota_revenda() {
    $arg = func_get_args(); //0, id_rev, 1, id_perf 

    require("config.php");
    $conn = @mysql_connect($dbhost, $dbuser, $dbpass) or die("ERROR! Não Conectado ao Banco de Dados..");
    mysql_select_db($dbname, $conn);
    $SQL = "SELECT id FROM cmum_admins WHERE addedby='{$arg[0]}' AND enabled='true'";
    $rs = mysql_query($SQL);
    $revs = '';
    while ($row = mysql_fetch_assoc($rs)) {
        $revs .= $row["id"] . ',';
    }
    $revs = substr($revs, 0, -1);
    $SQL = "SELECT SUM(quantidade) as total_sub FROM cmum_limite_logins_profiles WHERE id_revenda IN ({$revs}) AND id_profiles='{$arg[1]}'";
    $rs = mysql_query($SQL);
    $total_sub = false;
    while ($row = mysql_fetch_assoc($rs)) {
        $total_sub = $row['total_sub'];
    }
    return $total_sub;
}
// Arvore limpa
function arvoreRevendas2() {
    require("config.php");
    $conn = @mysql_connect($dbhost, $dbuser, $dbpass) or die("ERROR! Não Conectado ao Banco de Dados..");
    mysql_select_db($dbname, $conn);
    $SQL = "SELECT * FROM cmum_admins_pais_filhos";
    $rs = mysql_query($SQL);

    $_arvore = array();

    while ($reg = mysql_fetch_assoc($rs)) {
        $_arvore[] = (object) $reg;
    }
    $_filhos = array();

    foreach ($_arvore as $_a) {
        $_filhos[$_a->id_pai][] = $_a;
    }

    foreach ($_arvore as $_a) {
        if (isset($_filhos[$_a->id])) {
            $_a->filhos = $_filhos[$_a->id];
        }
    }
    return $_filhos;
}



//Prefixo revendas
function prefixoRevenda($revenda = 0, $arvore = array(), $hierarquia) {//rev1
    $rev_atual = $arvore[$revenda];
    $prefixo = $rev_atual['username'];
    if ($rev_atual['hierarquia'] > $hierarquia) {
        return prefixoRevenda($rev_atual['id_pai'], $arvore, $hierarquia) . '->' . $prefixo;
    }
    return $prefixo;
}
//Prefixo revendas
function arrayListaRevenda($revenda = 0, $arvore = array(), $hierarquia,&$a = array()) {//rev1
    $rev_atual = $arvore[$revenda];  
    $a[] = $rev_atual['id'];
    if ($rev_atual['hierarquia'] > $hierarquia) {
        return arrayListaRevenda($rev_atual['id_pai'], $arvore, $hierarquia,$a);
    }
}

function arvoreRevendasLista() {
    require("config.php");
    $conn = @mysql_connect($dbhost, $dbuser, $dbpass) or die("ERROR! Não Conectado ao Banco de Dados..");
    mysql_select_db($dbname, $conn);
    $SQL = "SELECT * FROM cmum_admins_pais_filhos";
    $rs = mysql_query($SQL);

    $_arvore = array();

    while ($reg = mysql_fetch_assoc($rs)) {
        $_arvore[$reg['id']] = $reg;
    }

    return $_arvore;
}

$arvore = arvoreRevendasLista();
$b = array();
arrayListaRevenda(411,$arvore,1,$b);

echo '<pre>';
print_r($b);
echo '</pre>';
echo '<pre>';
print_r($arvore);
echo '</pre>';

//$limite_rev = limite_revenda_perfil(394, 5);
//$total_rev = total_ativo_perfil(1, 5);
//$total_sub = cota_revenda(1, 5);
//echo saldo_revenda(1,5);

//$SQL = "SELECT COUNT(*) FROM cmum_logins_com_perfis_limpos WHERE id_revenda=1 AND perfil_lp=5";
